Seite 1 von 1

Fehlermeldung bei Update

Verfasst: 9. Okt 2006, 22:05
von Yessica
Ich habe gerade das erste Online-Update durchgeführt und und anschließend nochmal das "automatische Update" durchlaufen lassen.

Dabei ist folgender Fehler aufgetreten....wer kann mir helfen (Achtung Linux-Änfänger)


Updating f-spot-0.1.11-13.i586[System packages] to f-spot-0.1.11-16.31.i586[20061008-231201]
Updating spamassassin-3.1.1-7.i586[System packages] to spamassassin-3.1.3-3.2.i586[20061008-231201]
Establishing atom:spamassassin-3.1.3-3.2.i586[20061008-231201]
There are no installable providers of perl-IO-Zlib for spamassassin-3.1.3-3.2.i586[20061008-231201]
Establishing atom:f-spot-0.1.11-16.31.i586[20061008-231201]
There are no installable providers of dcraw for f-spot-0.1.11-16.31.i586[20061008-231201]

Verfasst: 9. Okt 2006, 22:40
von traffic
Unvollständige Paketmanager-Konfiguration.

Code: Alles auswählen

rug sa --type=ZYPP http://ftp.tu-chemnitz.de/pub/linux/opensuse/distribution/SL-10.1/inst-source inst-source
(in einer Zeile)

Verfasst: 10. Okt 2006, 17:26
von Yessica
Das muss in die Konsole eingegeben werden?

Verfasst: 10. Okt 2006, 17:36
von b3ll3roph0n
Yessica hat geschrieben:Das muss in die Konsole eingegeben werden?
Ja. Wo denn sonst. :wink:

rug ist das Kommandozeilen-Tool für den ZMD.

Konsole öffnen:
KDE:
<ALT> + <F2>
Befehl: konsole

Gnome:
Anwendungen -> Anwendung ausführen
Befehl: gnome-terminal

root werden:

Code: Alles auswählen

su -
<root-PW blind(!) eingeben>
rug .... (s.o.)

Verfasst: 10. Okt 2006, 17:46
von Yessica
Du bist ein Schatz. Endlich mal jemand, der mir was "verständlich" erklärt. *riesenSchmatzer*

Nun arbeitet er mit ZMD. Ich gehe mal davon aus, dass es erfolgreich verlaufen wird.

Kannst du mir auch sagen, ob ich was falsch gemacht habe, dass es erst zu diesem Fehler gekommen ist?

Verfasst: 10. Okt 2006, 17:51
von Grothesk
Das online update über yast muss viermal ausgeführt werden. Hast du das nur einmal getan?

Verfasst: 10. Okt 2006, 19:33
von Yessica
ja...war das falsch? hatte gelesen, dass es einmal durchlaufen muss, bis das update konfiguriert werden kann.

Ist nun durchgelaufen und es kam jetzt folgende Meldung:
Successfully added service 'http://ftp.tu-chemnitz.de/pub/linux/ope ... nst-source'

Verfasst: 10. Okt 2006, 19:36
von Grothesk
Ja, ist doch prima.
Mach halt die ersten 4-5 Updates über yast/you und dann funktioniert auch der ZEN-Updater so leidlich.

Verfasst: 10. Okt 2006, 19:43
von Yessica
vielen Dank, das hört sich ja gut an. Bussi

Verfasst: 10. Okt 2006, 19:45
von Grothesk
Bussi? :oops:
;-)

Verfasst: 10. Okt 2006, 19:47
von b3ll3roph0n
Wenn das Problem damit gelöst ist, dann markier den Thread bitte noch als "gelöst".
(Deinen ersten Beitrag editieren und ein [gelöst] zum Titel hinzufügen)

Verfasst: 10. Okt 2006, 20:37
von Yessica
Ist leider nicht gelöst. Beim yast Update bekomme ich nun folgende Fehlermeldung:

Fehler bei Validitätsprüfung
Datei/repodata/repomd.xml (html://dowload.suse.com/update/10.1) wurde mit dem folgenden Gnu-Schlüssel signiert, die Intigritätsprüfung war jedoch nicht erfolgreich.

Dies bedeutet, dass die Datei nach der Signatur durch den Ersteller des Repository versehentlich oder durch einen Angreifer geändert wurde. Die Verwendung der Datei stellt ein hohes Risiko für die Integrität und Sicherheit des Systems da.

Trotzdem verwenden?

Ich würde sagen, natürlich nein....aber was ist hier passiert? Lag es mal wieder an mir???

Verfasst: 10. Okt 2006, 20:44
von traffic
download.suse.com ist kein Update-Mirror!

Lösch download.suse.com aus der Installationsquellen-Konfiguration und verwende stattdessen einen der folgenden Mirrors:

http://suse.inode.at/pub/update/10.1
http://ftp.tu-chemnitz.de/pub/linux/sus ... pdate/10.1
http://download.uni-hd.de/ftp/pub/linux ... pdate/10.1

Verfasst: 10. Okt 2006, 21:42
von Yessica
1. Fehler bei der Quellensynchronisierung mit ZDM. Änderungen dennoch speichern?

2. Kann ich auch ftp.tu-chemnitz.de/pub/Linux/opensuse/dustribution/SL-10.1/inst-source drin lassen oder ist das wieder was ganz anderes?

3. Online-Update zeigt mir keine weiteren Updates an.

4. Könnt ihr mir nochmal bitte mit den Farben beim Update weiterhelfen? rot, blau..? In meinem Handbuch stand leider nie was darüber. :roll:

Verfasst: 10. Okt 2006, 21:52
von traffic
Die Farben sind nicht im Handbuch erläutert, sondern in der Online-Hilfe, d.h. der Menüpunkt "Hilfe" in der oberen Leiste, ganz rechts.

ftp.tu-chemnitz.de ist nicht download.suse.com. Du sollst nur download.suse.com ersetzen.

Das Online-Update zeigt keine Updates an, weil keine intakte Online-Update-Quelle konfiguriert ist, sondern nur download.suse.com, welches zwar wie eine Online-Update-Quelle aussieht, aber keine ist.

Lösch nur die download.suse.com-Quelle und füg stattdessen genau eine von genau diesen hinzu:

http://suse.inode.at/pub/update/10.1
http://ftp.tu-chemnitz.de/pub/linux/sus ... pdate/10.1
http://download.uni-hd.de/ftp/pub/linux ... pdate/10.1